org.apache.ignite.cache.store.cassandra.persistence

## Enum PojoKeyField.SortOrder

- java.lang.Object
- - java.lang.Enum<PojoKeyField.SortOrder>
  - - org.apache.ignite.cache.store.cassandra.persistence.PojoKeyField.SortOrder

- All Implemented Interfaces:
    Serializable, Comparable<PojoKeyField.SortOrder>
  Enclosing class:
    PojoKeyField

      public static enum PojoKeyField.SortOrder
      extends Enum<PojoKeyField.SortOrder>

  Specifies sort order for POJO key field

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASC` Ascending sort order.
    `DESC` Descending sort order.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PojoKeyField.SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PojoKeyField.SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASC

          public static final PojoKeyField.SortOrder ASC

      Ascending sort order.

    - #### DESC

          public static final PojoKeyField.SortOrder DESC

      Descending sort order.

  - ### Method Detail

    - #### values

          public static PojoKeyField.SortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PojoKeyField.SortOrder c : PojoKeyField.SortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PojoKeyField.SortOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022